#ifndef nikTrackCut_h
#define nikTrackCut_h

#include "StHbtMaker/Base/StHbtTrackCut.h"


//_________________
class nikTrackCut : public StHbtTrackCut {

 public:
  //
  // Constructors and destructors
  //
  nikTrackCut();
  nikTrackCut(const nikTrackCut &copy);
  nikTrackCut *Clone();
  ~nikTrackCut();

  virtual bool Pass(const StHbtTrack *trk);
  virtual StHbtString Report();

  //
  // Track parameters
  //
  void SetP(float lo, float hi);
  void SetPt(float lo, float hi);
  void SetPx(float lo, float hi);
  void SetPy(float lo, float hi);
  void SetPz(float lo, float hi);
  void SetEta(float lo, float hi);
  void SetMassSqr(float lo, float hi);
  void SetCharge(int charge);

 protected:

  int   mCharge;
  float mP[2];
  float mPt[2];
  float mPx[2];
  float mPy[2];
  float mPz[2];
  float mEta[2];
  float mMassSqr[2];

  //
  // Counters
  //
  long mNTracksPassed;
  long mNTracksFailed;

#ifdef __ROOT__
  ClassDef(nikTrackCut, 1)
#endif

};


#endif
